List verification codes
Returns a list of verification codes for a porting order.
GET
/
porting_orders
/
{id}
/
verification_codes
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const verificationCodeListResponse of client.portingOrders.verificationCodes.list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
)) {
console.log(verificationCodeListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting_orders.verification_codes.list(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PortingOrders.VerificationCodes.List(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingOrderVerificationCodeListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.verificationcodes.VerificationCodeListPage;
import com.telnyx.sdk.models.portingorders.verificationcodes.VerificationCodeListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerificationCodeListPage page = client.portingOrders().verificationCodes().list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting_orders.verification_codes.list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portingOrders->verificationCodes->list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
filter: ['verified' => true],
pageNumber: 0,
pageSize: 0,
sort: ['value' => 'created_at'],
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:verification-codes list \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/porting_orders/{id}/verification_codes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "52090326-6533-4421-bcf4-bd0117cf3954",
"phone_number": "+61424000001",
"verified": true,
"porting_order_id": "f28e6ecc-29a8-430b-bd0b-d93055f70604",
"created_at": "2020-10-22T15:00:00.000Z",
"updated_at": "2020-10-22T15:00:00.000Z"
},
{
"id": "cf076b8e-645b-4040-8209-543c5909775f",
"phone_number": "+61424000002",
"verified": false,
"porting_order_id": "f28e6ecc-29a8-430b-bd0b-d93055f70604",
"created_at": "2020-10-22T15:00:00.000Z",
"updated_at": "2020-10-22T15:00:00.000Z"
}
],
"meta": {
"total_pages": 1,
"total_results": 2,
"page_number": 1,
"page_size": 2
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Porting Order id
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Consolidated filter parameter (deepObject style). Originally: filter[verified]
Show child attributes
Show child attributes
Consolidated sort parameter (deepObject style). Originally: sort[value]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const verificationCodeListResponse of client.portingOrders.verificationCodes.list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
)) {
console.log(verificationCodeListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting_orders.verification_codes.list(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PortingOrders.VerificationCodes.List(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingOrderVerificationCodeListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.verificationcodes.VerificationCodeListPage;
import com.telnyx.sdk.models.portingorders.verificationcodes.VerificationCodeListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerificationCodeListPage page = client.portingOrders().verificationCodes().list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting_orders.verification_codes.list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portingOrders->verificationCodes->list(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
filter: ['verified' => true],
pageNumber: 0,
pageSize: 0,
sort: ['value' => 'created_at'],
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:verification-codes list \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/porting_orders/{id}/verification_codes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "52090326-6533-4421-bcf4-bd0117cf3954",
"phone_number": "+61424000001",
"verified": true,
"porting_order_id": "f28e6ecc-29a8-430b-bd0b-d93055f70604",
"created_at": "2020-10-22T15:00:00.000Z",
"updated_at": "2020-10-22T15:00:00.000Z"
},
{
"id": "cf076b8e-645b-4040-8209-543c5909775f",
"phone_number": "+61424000002",
"verified": false,
"porting_order_id": "f28e6ecc-29a8-430b-bd0b-d93055f70604",
"created_at": "2020-10-22T15:00:00.000Z",
"updated_at": "2020-10-22T15:00:00.000Z"
}
],
"meta": {
"total_pages": 1,
"total_results": 2,
"page_number": 1,
"page_size": 2
}
}